Class | WSDL::SOAP::Body
In: | wsdl/soap/body.rb
Parent: | Info

### Methods

new parse_attr parse_element

### Attributes

encodingstyle | [R] |
namespace | [R] |
parts | [R] |
use | [R] |

### Public Class methods

new()

[Source]

    # File wsdl/soap/body.rb, line 22
      def initialize
        super
        @parts = nil
        @use = nil
        @encodingstyle = nil
        @namespace = nil
      end

### Public Instance methods

parse_attr(attr, value)

[Source]

    # File wsdl/soap/body.rb, line 34
      def parse_attr(attr, value)
        case attr
        when PartsAttrName
          @parts = value.source
        when UseAttrName
          if ['literal', 'encoded'].include?(value.source)
            @use = value.source.intern
          else
            raise RuntimeError.new("unknown use of soap:body: #{value.source}")
          end
        when EncodingStyleAttrName
          @encodingstyle = value.source
        when NamespaceAttrName
          @namespace = value.source
        else
          nil
        end
      end

parse_element(element)

[Source]

    # File wsdl/soap/body.rb, line 30
      def parse_element(element)
        nil
      end

[Validate]